package miru.timereminder;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;

public class ReminderServices extends Service {

	public static String TAG = ReminderServices.class.getSimpleName();
	
	@Override
	public IBinder onBind(Intent intent) {
		return null;
	}
	
	@Override
	public int onStartCommand(Intent intent, int flags, int startId) {
		
		Intent reminderIntent = new Intent(getBaseContext(), ReminderScreen.class);
		reminderIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		reminderIntent.putExtras(intent);
		getApplication().startActivity(reminderIntent);
		
		ReminderHelper.setReminders(this);
		
		return super.onStartCommand(intent, flags, startId);
	}
	
}